Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.discovery
[Java] Class DefaultGroovyPageLocator.PluginViewPathInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.discovery.DefaultGroovyPageLocator.PluginViewPathInfo

    public static class DefaultGroovyPageLocator.PluginViewPathInfo

Field Summary
`java.lang.String` | `basePath`
`java.lang.String` | `path`
`java.lang.String` | `pluginName`

Constructor Summary
`DefaultGroovyPageLocator.PluginViewPathInfo(java.lang.String uri)`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### basePath

    public java.lang.String basePath

### path

    public java.lang.String path

### pluginName

    public java.lang.String pluginName

Constructor Detail

### DefaultGroovyPageLocator.PluginViewPathInfo

    public DefaultGroovyPageLocator.PluginViewPathInfo(java.lang.String uri)

Groovy Documentation